Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::ParallelArrayTermVectorMapper Class Reference

Models the existing parallel array structure. More...

`#include <TermVectorsReader.h>`

Inheritance diagram for Lucene::ParallelArrayTermVectorMapper:

## Public Member Functions

| ParallelArrayTermVectorMapper ()
virtual | ~ParallelArrayTermVectorMapper ()
virtual String | getClassName ()
boost::shared_ptr< ParallelArrayTermVectorMapper > | shared_from_this ()
virtual void | setExpectations (const String &field, int32_t numTerms, bool storeOffsets, bool storePositions)
| Tell the mapper what to expect in regards to field, number of terms, offset and position storage. This method will be called once before retrieving the vector for a field.
virtual void | map (const String &term, int32_t frequency, Collection< TermVectorOffsetInfoPtr > offsets, Collection< int32_t > positions)
| Map the Term Vector information into your own structure.
TermFreqVectorPtr | materializeVector ()
| Construct the vector.
Public Member Functions inherited from Lucene::TermVectorMapper
| TermVectorMapper (bool ignoringPositions=false, bool ignoringOffsets=false)
virtual | ~TermVectorMapper ()
boost::shared_ptr< TermVectorMapper > | shared_from_this ()
virtual bool | isIgnoringPositions ()
| Indicate to Lucene that even if there are positions stored, this mapper is not interested in them and they can be skipped over. Derived classes should set this to true if they want to ignore positions. The default is false, meaning positions will be loaded if they are stored.
virtual bool | isIgnoringOffsets ()
virtual void | setDocumentNumber (int32_t documentNumber)
| Passes down the index of the document whose term vector is currently being mapped, once for each top level call to a term vector reader.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermVectorMapper
static String | _getClassName ()

## Protected Attributes

Collection< String > | terms
Collection< int32_t > | termFreqs
Collection< Collection< int32_t > > | positions
Collection< Collection< TermVectorOffsetInfoPtr > > | offsets
int32_t | currentPosition
bool | storingOffsets
bool | storingPositions
String | field
Protected Attributes inherited from Lucene::TermVectorMapper
bool | ignoringPositions
bool | ignoringOffsets
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Models the existing parallel array structure.

## Constructor & Destructor Documentation

## ◆ ParallelArrayTermVectorMapper()

Lucene::ParallelArrayTermVectorMapper::ParallelArrayTermVectorMapper | ( |  | ) |

Referenced by _getClassName().

## ◆ ~ParallelArrayTermVectorMapper()

virtual Lucene::ParallelArrayTermVectorMapper::~ParallelArrayTermVectorMapper | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::ParallelArrayTermVectorMapper::_getClassName | ( |  | ) |

inline static

References ParallelArrayTermVectorMapper().

## ◆ getClassName()

virtual String Lucene::ParallelArrayTermVectorMapper::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::TermVectorMapper.

## ◆ map()

virtual void Lucene::ParallelArrayTermVectorMapper::map | ( | const String & | term,
|  | int32_t | frequency,
|  | Collection< TermVectorOffsetInfoPtr > | offsets,
|  | Collection< int32_t > | positions )

virtual

Map the Term Vector information into your own structure.

Implements Lucene::TermVectorMapper.

References offsets, and positions.

## ◆ materializeVector()

TermFreqVectorPtr Lucene::ParallelArrayTermVectorMapper::materializeVector | ( |  | ) |

Construct the vector.

Returns
  The `TermFreqVector` based on the mappings.

## ◆ setExpectations()

virtual void Lucene::ParallelArrayTermVectorMapper::setExpectations | ( | const String & | field,
|  | int32_t | numTerms,
|  | bool | storeOffsets,
|  | bool | storePositions )

virtual

Tell the mapper what to expect in regards to field, number of terms, offset and position storage. This method will be called once before retrieving the vector for a field.

Implements Lucene::TermVectorMapper.

References field.

## ◆ shared_from_this()

boost::shared_ptr< ParallelArrayTermVectorMapper > Lucene::ParallelArrayTermVectorMapper::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ currentPosition

int32_t Lucene::ParallelArrayTermVectorMapper::currentPosition

protected

## ◆ field

String Lucene::ParallelArrayTermVectorMapper::field

protected

Referenced by setExpectations().

## ◆ offsets

Collection< Collection<TermVectorOffsetInfoPtr> > Lucene::ParallelArrayTermVectorMapper::offsets

protected

Referenced by map().

## ◆ positions

Collection< Collection<int32_t> > Lucene::ParallelArrayTermVectorMapper::positions

protected

Referenced by map().

## ◆ storingOffsets

bool Lucene::ParallelArrayTermVectorMapper::storingOffsets

protected

## ◆ storingPositions

bool Lucene::ParallelArrayTermVectorMapper::storingPositions

protected

## ◆ termFreqs

Collection<int32_t> Lucene::ParallelArrayTermVectorMapper::termFreqs

protected

## ◆ terms

Collection<String> Lucene::ParallelArrayTermVectorMapper::terms

protected

The documentation for this class was generated from the following file:

- TermVectorsReader.h

clucene.sourceforge.net